--- ./installer/core_install.py.orig	2014-03-10 14:51:37.000000000 +0100
+++ ./installer/core_install.py	2014-03-10 14:56:40.000000000 +0100
@@ -103,7 +103,7 @@
 
 HPLIP_EXT_LIST = ['cupsext.so', 'cupsext.la', 'scanext.so', 'scanext.la', 'hpmudext.so', 'hpmudext.la', 'pcardext.so', 'pcardext.la']
 
-FILES_LIST=[ '/usr/share/cups/drv/hp/','/usr/local/share/ppd/HP/','/usr/local/share/cups/drv/hp/' ,'/usr/share/applications/hplip.desktop', '/etc/xdg/autostart/hplip-systray.desktop', '/etc/hp/hplip.conf', '/usr/share/doc/hplip-*','/usr/lib/systemd/system/hplip-printer*.service']
+FILES_LIST=[ '@PREFIX@/share/cups/drv/hp/','@PREFIX@/local/share/ppd/HP/','@PREFIX@/local/share/cups/drv/hp/' ,'@PREFIX@/share/applications/hplip.desktop', '@PREFIX@/etc/xdg/autostart/hplip-systray.desktop', '@PREFIX@/etc/hp/hplip.conf', '@PREFIX@/share/doc/hplip-*','@PREFIX@/lib/systemd/system/hplip-printer*.service']
 
 RULES_LIST=['56-hpmud.rules','56-hpmud_sysfs.rules', '40-hplip.rules', '56-hpmud_support.rules', '56-hpmud_support_sysfs.rules','55-hpmud.rules','55-hpmud_sysfs.rules','56-hpmud_add_printer.rules','56-hpmud_add_printer_sysfs.rules', '86-hpmud-hp_*.rules', '86-hpmud_plugin.rules', '86-hpmud_plugin_sysfs.rules']
 
@@ -176,7 +176,7 @@
         self.endian = utils.LITTLE_ENDIAN
         self.distro, self.distro_name, self.distro_version = DISTRO_UNKNOWN, '', DISTRO_VER_UNKNOWN
         self.distro_version_supported = False
-        self.install_location = '/usr'
+        self.install_location = '@PREFIX@'
         self.hplip_present = False
         self.have_dependencies = {}
         self.native_cups = True
@@ -520,9 +520,9 @@
 
         if not found:
             try:
-                name = file('/etc/issue', 'r').read().lower().strip()
+                name = file('@PREFIX@/etc/issue', 'r').read().lower().strip()
             except IOError:
-                # Some O/Ss don't have /etc/issue (Mac)
+                # Some O/Ss don't have @PREFIX@/etc/issue (Mac)
                 self.distro, self.distro_version = DISTRO_UNKNOWN, '0.0'
             else:
                 if name.find("redhatenterprise") > -1:
@@ -562,7 +562,7 @@
                             self.distro_version = m
                             break
 
-                    log.debug("/etc/issue: %s %s" % (name, self.distro_version))
+                    log.debug("@PREFIX@/etc/issue: %s %s" % (name, self.distro_version))
 
         log.debug("distro=%d, distro_version=%s" % (self.distro, self.distro_version))
 
@@ -759,14 +759,14 @@
             if not check_lib('libusb'):
                 return False
             if self.distro_name != "rhel":
-                return len(locate_file_contains("usb.h", '/usr/include', 'usb_init'))
+                return len(locate_file_contains("usb.h", '@PREFIX@/include', 'usb_init'))
             else:
                 return True
         else:
             if not check_lib('libusb-1.0'):
                 return False
             if self.distro_name != "rhel":
-                return len(locate_file_contains("libusb.h", '/usr/include/libusb-1.0', 'libusb_init'))
+                return len(locate_file_contains("libusb.h", '@PREFIX@/include/libusb-1.0', 'libusb_init'))
             else:
                 return True
 
@@ -780,7 +780,8 @@
 
 
     def check_libpthread(self):
-        return check_lib("libpthread") and check_file("pthread.h")
+#        return check_lib("libpthread") and check_file("pthread.h")
+        return True #built-in for Darwin
 
 
     def check_libnetsnmp(self):
@@ -832,7 +833,7 @@
 
 
     def check_sane_devel(self):
-        return len(locate_file_contains("sane.h", '/usr/include', 'extern SANE_Status sane_init'))
+        return len(locate_file_contains("sane.h", '@PREFIX@/include', 'extern SANE_Status sane_init'))
 
 
     def check_xsane(self):
@@ -889,7 +890,7 @@
 
 
     def check_python_devel(self):
-        return check_file('Python.h')
+        return check_file('Python.h','@PYTHON_PREFIX@')
 
 
     def check_pynotify(self):
@@ -935,14 +936,16 @@
     def check_dbus(self):
         log.debug("Checking for dbus running and header files present (dbus-devel)...")
         return check_ps(['dbus-daemon'])  and \
-            len(locate_file_contains("dbus-message.h", '/usr/include', 'dbus_message_new_signal'))
+            len(locate_file_contains("dbus-message.h", '@PREFIX@/include', 'dbus_message_new_signal'))
 
 
     def check_cups_devel(self):
+        return True
         return check_file('cups.h') and bool(utils.which('lpr'))
 
 
     def check_cups(self):
+        return True
         status, output = utils.run('lpstat -r', self.passwordObj)
         if status > 0 or 'not running' in output:
             log.debug("CUPS is not running. %s"%output)
@@ -953,17 +956,18 @@
 
 
     def check_cups_image(self):
-      return check_file("raster.h", "/usr/include/cups")
+      return check_file("raster.h", "@PREFIX@/include/cups")
 
 
     def check_hplip(self):
         log.debug("Checking for HPLIP...")
-        return locate_files('hplip.conf', '/etc/hp')
+        return locate_files('hplip.conf', '@PREFIX@/etc/hp')
 
 
     def check_libtool(self):
         log.debug("Checking for libtool...")
-        return check_tool('libtool --version')
+#        return check_tool('libtool --version')
+        return check_tool('libtool -V')
 
 
     def check_pil(self):
@@ -978,18 +982,18 @@
     def check_cupsddk(self):
         log.debug("Checking for cups-ddk...")
         # TODO: Compute these paths some way or another...
-        #return check_tool("/usr/lib/cups/driver/drv list") and os.path.exists("/usr/share/cupsddk/include/media.defs")
-        return (check_file('drv', "/usr/lib/cups/driver") or check_file('drv', "/usr/lib64/cups/driver")) and \
-            check_file('media.defs', "/usr/share/cupsddk/include")
+        #return check_tool("@PREFIX@/lib/cups/driver/drv list") and os.path.exists("@PREFIX@/share/cupsddk/include/media.defs")
+        return (check_file('drv', "@PREFIX@/lib/cups/driver") or check_file('drv', "@PREFIX@/lib64/cups/driver")) and \
+            check_file('media.defs', "@PREFIX@/share/cupsddk/include")
 
 
     def check_policykit(self):
         log.debug("Checking for PolicyKit...")
-        if check_file('PolicyKit.conf', "/etc/PolicyKit") and check_file('org.gnome.PolicyKit.AuthorizationManager.service', "/usr/share/dbus-1/services"):
+        if check_file('PolicyKit.conf', "@PREFIX@/etc/PolicyKit") and check_file('org.gnome.PolicyKit.AuthorizationManager.service', "@PREFIX@/share/dbus-1/services"):
             return True
-        elif check_file('50-localauthority.conf', "/etc/polkit-1/localauthority.conf.d") and check_file('org.freedesktop.PolicyKit1.service', "/usr/share/dbus-1/system-services"):
+        elif check_file('50-localauthority.conf', "@PREFIX@/etc/polkit-1/localauthority.conf.d") and check_file('org.freedesktop.PolicyKit1.service', "@PREFIX@/share/dbus-1/system-services"):
             return True
-        elif check_file('org.freedesktop.PolicyKit1.conf','/etc/dbus-1/system.d'):
+        elif check_file('org.freedesktop.PolicyKit1.conf','@PREFIX@/etc/dbus-1/system.d'):
             return True
         else:
             return False
@@ -1030,7 +1034,7 @@
 
     def check_hpaio(self):
         found = False
-        for path in ['/etc/sane.d/dll.conf','/etc/sane.d/dll.d/hpaio', '/etc/sane.d/dll.d/hplip']:
+        for path in ['@PREFIX@/etc/sane.d/dll.conf','@PREFIX@/etc/sane.d/dll.d/hpaio', '@PREFIX@/etc/sane.d/dll.d/hplip']:
             log.debug("'Checking for hpaio' in '%s'..." % path)
             try:
                 f = file(path, 'r')
@@ -1059,13 +1063,13 @@
         if pat.match(home_dir) is not None:
             usrlib_dir= pat.match(home_dir).group(1) + "lib/"
             if os.path.exists(usrlib_dir+'sane/libsane-hpaio.so.1'):
-                log.debug("'Updating hpaio' in '/etc/sane.d/dll.conf'...")
+                log.debug("'Updating hpaio' in '@PREFIX@/etc/sane.d/dll.conf'...")
                 try:
-                    f = file('/etc/sane.d/dll.conf', 'r')
+                    f = file('@PREFIX@/etc/sane.d/dll.conf', 'r')
                 except IOError:
-                    log.error("'/etc/sane.d/dll.conf' not found. Creating dll.conf file")
-#                    f = file('/etc/sane.d/dll.conf', 'a+')
-                    cmd = self.passwordObj.getAuthCmd()%'touch /etc/sane.d/dll.conf'
+                    log.error("'@PREFIX@/etc/sane.d/dll.conf' not found. Creating dll.conf file")
+#                    f = file('@PREFIX@/etc/sane.d/dll.conf', 'a+')
+                    cmd = self.passwordObj.getAuthCmd()%'touch @PREFIX@/etc/sane.d/dll.conf'
                     log.debug("cmd=%s"%cmd)
                     utils.run(cmd, self.passwordObj)
                 else:
@@ -1078,19 +1082,19 @@
                     f.close()
 
                 if not found:
-                    st = os.stat('/etc/sane.d/dll.conf')
-                    cmd= self.passwordObj.getAuthCmd()%'chmod 777 /etc/sane.d/dll.conf'
+                    st = os.stat('@PREFIX@/etc/sane.d/dll.conf')
+                    cmd= self.passwordObj.getAuthCmd()%'chmod 777 @PREFIX@/etc/sane.d/dll.conf'
                     log.debug("cmd=%s"%cmd)
                     utils.run(cmd, self.passwordObj)
                     try:
-                        f = file('/etc/sane.d/dll.conf', 'a+')
+                        f = file('@PREFIX@/etc/sane.d/dll.conf', 'a+')
                     except IOError:
-                        log.error("'/etc/sane.d/dll.conf' not found. Creating dll.conf file")
+                        log.error("'@PREFIX@/etc/sane.d/dll.conf' not found. Creating dll.conf file")
                     else:
                         f.write('hpaio')
                         f.close()
                     actv_permissions = st.st_mode &0777
-                    cmd = 'chmod %o /etc/sane.d/dll.conf'%actv_permissions
+                    cmd = 'chmod %o @PREFIX@/etc/sane.d/dll.conf'%actv_permissions
                     cmd= self.passwordObj.getAuthCmd()%cmd
                     log.debug("cmd=%s"%cmd)
                     utils.run(cmd, self.passwordObj)
@@ -1234,12 +1238,12 @@
         if libdir_path and self.bitness == 64:
             configure_cmd += ' --libdir=%s' % (libdir_path)
         elif self.bitness == 64:
-            configure_cmd += ' --libdir=/usr/lib64'
+            configure_cmd += ' --libdir=@PREFIX@/lib64'
 
         configure_cmd += ' --prefix=%s' % self.install_location
 
         if self.get_distro_ver_data('cups_path_with_bitness', False) and self.bitness == 64:
-            configure_cmd += ' --with-cupsbackenddir=/usr/lib64/cups/backend --with-cupsfilterdir=/usr/lib64/cups/filter'
+            configure_cmd += ' --with-cupsbackenddir=@PREFIX@/lib64/cups/backend --with-cupsfilterdir=@PREFIX@/lib64/cups/filter'
 
         if self.get_distro_ver_data('acl_rules', False):
             configure_cmd += ' --enable-udev-acl-rules'
@@ -1262,11 +1266,11 @@
 
     def configure_html(self):
         configure_cmd = './configure'
-        configure_cmd += ' --prefix=/usr' 
+        configure_cmd += ' --prefix=@PREFIX@' 
         configure_cmd += ' --with-hpppddir=%s' % self.ppd_dir
 
         if self.bitness == 64:
-            configure_cmd += ' --libdir=/usr/lib64'
+            configure_cmd += ' --libdir=@PREFIX@/lib64'
 
         self.ui_toolkit =  self.get_distro_ver_data('ui_toolkit') 
         if self.ui_toolkit is not None and self.ui_toolkit == 'qt3':
@@ -1618,7 +1622,7 @@
         # Reload DBUS configuration if distro supports it and PolicyKit
         # support installed
         if self.reload_dbus and self.selected_options['policykit']:
-            cmds.append(self.passwordObj.getAuthCmd() % "sh /etc/init.d/dbus reload")
+            cmds.append(self.passwordObj.getAuthCmd() % "sh @PREFIX@/etc/init.d/dbus reload")
             log.debug("Will reload DBUS configuration for PolicyKit support")
 
         # Kill any running hpssd.py instance from a previous install
@@ -1837,7 +1841,7 @@
             cnt += 1
 
         # removing Rules files
-        RULES_LIST_FULL = utils.expandList(RULES_LIST, '/etc/udev/rules.d')
+        RULES_LIST_FULL = utils.expandList(RULES_LIST, '@PREFIX@/etc/udev/rules.d')
         for fl in RULES_LIST_FULL:
             utils.remove(fl, self.passwordObj, checkSudo)
 
@@ -1846,7 +1850,7 @@
             utils.remove(fl , self.passwordObj, checkSudo)
 
         # removing (unused) hplip folder from other location 
-        cmd = 'find /usr -type d -name hplip'
+        cmd = 'find @PREFIX@ -type d -name hplip'
         cmd = self.passwordObj.getAuthCmd() %cmd
         status, output=utils.run(cmd, self.passwordObj, checkSudo)
         if status == 0:
@@ -1858,7 +1862,7 @@
         # removing all hplip extension libraries
         for ext_f in HPLIP_EXT_LIST:
             if ext_f:
-                cmd = 'find /usr -type f -name %s -delete'%ext_f
+                cmd = 'find @PREFIX@ -type f -name %s -delete'%ext_f
                 cmd = self.passwordObj.getAuthCmd() %cmd
                 status,output = utils.run(cmd , self.passwordObj, checkSudo)
                 if status != 0:
@@ -1972,7 +1976,7 @@
 
     def disable_SELinux(self, mode = INTERACTIVE_MODE):       # Move to utils
         ret_val = False
-        SELinux_file = '/etc/selinux/config'
+        SELinux_file = '@PREFIX@/etc/selinux/config'
         if mode == INTERACTIVE_MODE:
             ok,user_input =tui.enter_choice("SELinux is currently enabled in your system. Device may not work properly. Do you want to disable SELinux?(y=yes, n=no*)",['y', 'n'], 'n')
             if ok and user_input != 'n':

